Piloterr

SeLoger Property

Efficiently extract detailed data from a SeLoger real estate listing including agency info, pricing, photos, description, and property criteria.

Credit cost: 2 credits per call

GET
/v2/seloger/property

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

A valid SeLoger property listing URL.

Example:

https://www.seloger.com/annonces/achat/appartement/bordeaux-33/capucins-saint-michel-nansouty-saint-genes/234462129.htm

Note: The URL must point to an active SeLoger property listing page. Expired or removed listings will return an error. Both sale and rental listing URLs are supported.

return_page_source?boolean

Whether to return the raw HTML source of the property page instead of parsed JSON data.

  • false: Returns structured JSON data (default)
  • true: Returns the raw HTML source of the page

Note: Enabling this option is useful for custom parsing or debugging, but the response will not be structured JSON.

Default"false"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/seloger/property?query=string"
{
  "agency": {
    "id": 336312,
    "logo": "https://v.seloger.com/s/width/150/logos/0/h/0/l/0h0leun3rcbdmdyf0pb8fdq1wkqufnq0wjzms4qw6.jpg",
    "name": "Efficity   Gael Brossaud",
    "id_rcu": "RC-267721",
    "rating": {
      "rating": 4.9,
      "review_url": "/professionnels/agents-commerciaux/paris-13eme-arrondissement-75013/agence-18317/#?avisImmo=true",
      "review_count": 139
    },
    "address": "",
    "tier_id": 399543,
    "fees_url": "http://diszln7ft1ccx.cloudfront.net/pdf/BAREME_NATIONAL.pdf",
    "description": null,
    "website_url": "https://www.efficity.com/gbrossaud",
    "legal_notice": {
      "rcs_siren": "813142676",
      "legal_form": null,
      "is_individual": false,
      "share_capital": 116847,
      "social_reason": "SAS",
      "headquarter_address": "48 avenue de Villiers 75017 Paris",
      "financial_guarantee_fund": "GALIAN Assurances",
      "professional_card_number": null,
      "financial_guarantee_amount": 500000,
      "professional_card_prefecture": null
    },
    "phone_number": "06 11 49 76 90",
    "contact_hidden": false,
    "profession_type": "Agents commerciaux",
    "profil_page_url": "/professionnels/agents-commerciaux/paris-13eme-arrondissement-75013/agence-18317/",
    "organisation_logo": null
  },
  "seeker": null,
  "contact": {
    "book_a_visit": {
      "slots": null,
      "enabled": false,
      "event_type": null,
      "required_form": false,
      "plato_agency_id": null,
      "allowed_contracts": null,
      "unpaid_rent_garanty": false,
      "unpaid_rent_garanty_rate": 0
    }
  },
  "listing": {
    "url": {
      "value": "https://www.seloger.com/annonces/achat/appartement/bordeaux-33/capucins-saint-michel-nansouty-saint-genes/234462129.htm",
      "nature": 1,
      "business_unit_type": "SL"
    },
    "early_access": null,
    "listing_detail": {
      "id": 234462129,
      "media": {
        "photos": [
          {
            "id": 141138868,
            "mobile_url": "https://v.seloger.com/s/width/600/visuels/0/e/n/8/0en8kp68vupvoihci64icm9ho97p4edc2er0n3bje.jpg",
            "square_url": "https://v.seloger.com/s/crop/200x200/visuels/0/e/n/8/0en8kp68vupvoihci64icm9ho97p4edc2er0n3bje.jpg",
            "default_url": "https://v.seloger.com/s/width/800/visuels/0/e/n/8/0en8kp68vupvoihci64icm9ho97p4edc2er0n3bje.jpg",
            "original_url": "https://v.seloger.com/s/cdn/x/visuels/0/e/n/8/0en8kp68vupvoihci64icm9ho97p4edc2er0n3bje.jpg",
            "is_horizontal": true,
            "descriptive_fr": null,
            "square_large_url": "https://v.seloger.com/s/crop/414x414/visuels/0/e/n/8/0en8kp68vupvoihci64icm9ho97p4edc2er0n3bje.jpg",
            "low_resolution_url": "https://v.seloger.com/s/width/400/visuels/0/e/n/8/0en8kp68vupvoihci64icm9ho97p4edc2er0n3bje.jpg",
            "photo_description_tags": null
          }
        ]
      }
    }
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}